Update scan

Updates the scan configuration. For example, you can enable or disable a scan, change the scan name, description, folder, scanner, targets, and schedule parameters. For more information and request body examples, see Update a Scan.

For information on updating remediation scans and request body examples, see Manage Remediation Scans.

Requires the Scan Operator [24] user role and the Can Edit [64] scan permission. Alternatively, requires the VM.VM_SCAN.VM_SCAN.EDIT custom role privilege. See Roles and Permissions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier for the scan you want to update. This identifier can be either the scans.schedule_uuid or the scans.id attribute in the response message from the GET /scans endpoint. Tenable recommends that you use scans.schedule_uuid.

Body Params
string
required

The UUID for the Tenable-provided scan template to use. Use the GET /editor/scan/templates endpoint to find the template UUID.

Caution: The defaults listed for a template via the GET /editor/{type}/templates/{template_uuid} endpoint apply to the user interface only. When you create a scan via the API you must include the settings in the request even if the setting is listed as a default in the editor. For example, even if host_tagging is set to yes by default in the editor, you still need to include "host_tagging": "yes" in the settings object for the scan.

settings
object
required
credentials
object

An object that specifies credential parameters that enable a scanner to authenticate a connection to a target host. For more information about using managed credentials with the Tenable Vulnerability Management API, see Manage Credentials.

plugins
object

A list of plugins to add to the non-remediation scans. Use the GET /plugins/families endpoint to get a list of plugin families to choose from. Then, use the GET /plugins/families/{id} endpoint to find plugins within the family to add to the scan.

Note: This form displays limited parameters. The example below illustrates how to add two plugins within the Web Servers plugin family to a scan.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

Returned under the following conditions:

  • Your request message is missing a required parameter.
  • Your request included a user-defined template, which is invalid for a remediation scan.

404

Returned if Tenable Vulnerability Management could not find the specified scan configuration.

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/html